{
  "name": "ucap-webmessenger",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "npm-run-all -p start:renderer start:main",
    "start:main": "wait-on http-get://localhost:4200/ && npm run build:main:dev && electron --nolazy --inspect-brk=9229 .",
    "start:renderer": "ng serve",
    "start:production": "npm run build:renderer && npm run build:main:prod && electron --nolazy --inspect-brk=9229 .",
    "build:renderer": "cross-env NODE_ENV=production ng build --base-href ./",
    "build:main:dev": "cross-env NODE_ENV=development TS_NODE_PROJECT='./config/tsconfig.webpack.json' parallel-webpack --config=config/main.webpack.config.ts",
    "build:main:prod": "cross-env NODE_ENV=production TS_NODE_PROJECT='./config/tsconfig.webpack.json' NODE_OPTIONS='--max_old_space_size=4096' parallel-webpack --config=config/main.webpack.config.ts",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "tslib": "^1.10.0"
  },
  "devDependencies": {
    "@angular-builders/custom-webpack": "^8.2.0",
    "@angular-devkit/build-angular": "~0.803.2",
    "@angular-devkit/build-ng-packagr": "~0.803.2",
    "@angular/animations": "~8.2.4",
    "@angular/cdk": "^8.1.4",
    "@angular/cli": "~8.3.2",
    "@angular/common": "~8.2.4",
    "@angular/compiler": "~8.2.4",
    "@angular/compiler-cli": "~8.2.4",
    "@angular/core": "~8.2.4",
    "@angular/flex-layout": "^8.0.0-beta.27",
    "@angular/forms": "~8.2.4",
    "@angular/language-service": "~8.2.4",
    "@angular/material": "^8.1.4",
    "@angular/material-moment-adapter": "^8.1.4",
    "@angular/platform-browser": "~8.2.4",
    "@angular/platform-browser-dynamic": "~8.2.4",
    "@angular/router": "~8.2.4",
    "@ngrx/effects": "^8.3.0",
    "@ngrx/router-store": "^8.3.0",
    "@ngrx/store": "^8.3.0",
    "@ngrx/store-devtools": "^8.3.0",
    "@ngx-translate/core": "^11.0.1",
    "@types/crypto-js": "^3.1.43",
    "@types/detect-browser": "^4.0.0",
    "@types/extract-text-webpack-plugin": "^3.0.4",
    "@types/fs-extra": "^8.0.0",
    "@types/filesize": "^4.1.0",
    "@types/jasmine": "~3.3.8",
    "@types/jasminewd2": "~2.0.3",
    "@types/node": "^12.7.3",
    "@types/semver": "^6.0.2",
    "@types/webpack": "^4.39.1",
    "@types/webpack-merge": "^4.1.5",
    "@types/webpack-node-externals": "^1.6.3",
    "awesome-node-loader": "^1.1.1",
    "awesome-typescript-loader": "^5.2.1",
    "clean-webpack-plugin": "^3.0.0",
    "codelyzer": "^5.0.0",
    "concurrently": "^4.1.2",
    "crypto-js": "^3.1.9-1",
    "cross-env": "^5.2.1",
    "detect-browser": "^4.6.0",
    "devtron": "^1.4.0",
    "electron": "^6.0.7",
    "electron-builder": "^21.2.0",
    "electron-debug": "^3.0.1",
    "electron-devtools-installer": "^2.2.4",
    "electron-log": "^3.0.7",
    "electron-reload": "^1.5.0",
    "electron-store": "^4.0.0",
    "electron-window-state": "^5.0.3",
    "fs-extra": "^8.1.0",
    "filesize": "^4.1.2",
    "hammerjs": "^2.0.8",
    "jasmine-core": "~3.4.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~4.1.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "~2.0.1",
    "karma-jasmine": "~2.0.1",
    "karma-jasmine-html-reporter": "^1.4.0",
    "moment": "^2.24.0",
    "ng-packagr": "^5.4.0",
    "ngrx-store-freeze": "^0.2.4",
    "ngx-perfect-scrollbar": "^8.0.0",
    "npm-run-all": "^4.1.5",
    "parallel-webpack": "^2.4.0",
    "protractor": "~5.4.0",
    "queueing-subject": "^0.3.4",
    "rxjs": "^6.5.2",
    "semver": "^6.3.0",
    "ts-node": "~7.0.0",
    "tsickle": "^0.37.0",
    "tslib": "^1.10.0",
    "tslint": "~5.15.0",
    "typescript": "~3.5.3",
    "wait-on": "^3.3.0",
    "webpack": "4.39.2",
    "webpack-cli": "^3.3.7",
    "webpack-node-externals": "^1.7.2",
    "zone.js": "~0.9.1"
  },
  "main": "./dist/main/main.js"
}
